# Set egress IP
add_rule4 -A POSTROUTING -s {{ openvpn_tcp_network | ipaddr('network/prefix') }} -o {{ ansible_default_ipv4.interface }} -j SNAT --to-source {{ egress_ip | default(ips | ansible.utils.ipv4 | first) }}
add_rule4 -A POSTROUTING -s {{ openvpn_udp_network | ipaddr('network/prefix') }} -o {{ ansible_default_ipv4.interface }} -j SNAT --to-source {{ egress_ip | default(ips | ansible.utils.ipv4 | first) }}

{% set ports_to_use = ports.openvpn[1:] if ports.openvpn is defined and ports | length > 1 else [53, 1194] %}
{% for each in ports_to_use %}
# Accept connections on ipv4 port {{each}}, redirecting them to openvpn
add_rule4 -A PREROUTING -p tcp -d {{ ips | ansible.utils.ipv4 | first }} --dport {{ each }} -j DNAT --to-destination {{ ips | ansible.utils.ipv4 | first }}:{{ ports.openvpn[0]  | default(80) }}
add_rule4 -A PREROUTING -p udp -d {{ ips | ansible.utils.ipv4 | first }} --dport {{ each }} -j DNAT --to-destination {{ ips | ansible.utils.ipv4 | first }}:{{ ports.openvpn[0]  | default(80) }}
{% if openvpn_tcp_network6 is defined and openvpn_tcp_network6|length -%}
# Accept connections on ipv6 port {{each}}, redirecting them to openvpn
add_rule6 -A PREROUTING -p tcp -d {{ ips | ansible.netcommon.ipv6 | first }} --dport {{ each }} -j DNAT --to-destination [{{ ips | ansible.netcommon.ipv6 | first }}]:{{ ports.openvpn[0]  | default(80) }}
add_rule6 -A PREROUTING -p udp -d {{ ips | ansible.netcommon.ipv6 | first }} --dport {{ each }} -j DNAT --to-destination [{{ ips | ansible.netcommon.ipv6 | first }}]:{{ ports.openvpn[0]  | default(80) }}
{% endif %}

{% endfor %}
